<ul class="archives">
  <dlcm-shared-archive-tile (deleteChange)="deleteArchive($event)"
                            (downloadChange)="downloadArchive($event)"
                            (requestAccessChange)="requestAccess($event)"
                            (selectChange)="navigateToArchive($event)"
                            *ngFor="let archive of listArchives; trackBy: trackByFn"
                            [archive]="archive"
                            [isAccessControlled]="!(archiveAccessRightService.isDownloadAuthorizedObs(archive) | solidifyAsync)"
                            [isLineDisplayMode]="breakpointService.isSmallerOrEqualThanMdObs() | async | isFalsy"
                            [mode]="mode"
  ></dlcm-shared-archive-tile>
</ul>
<div class="sidebar">
  <h1 class="sidebar-title">{{labelTranslateEnum.myDownloadOrders | translate}}</h1>

  <div *ngIf="mode === 'order' && (order | isNotNullNorUndefined)"
       [class]="classOrderStatus"
       class="status"
  >
    <solidify-icon [iconName]="iconOrderStatus"
                   class="icon size-50"
    ></solidify-icon>
    <span class="text">{{messageOrderStatus | translate}}</span>
  </div>

  <form [formGroup]="form"
        class="form"
  >
    <mat-form-field *ngIf="formValidationHelper.getFormControl(form, formDefinition.name) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    class="name"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.orderNameLabel | translate}}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             matInput
      >
      <mat-error solidifyTooltipOnEllipsis
                 #errors
      ></mat-error>
    </mat-form-field>

    <div class="checkbox-wrapper">
      <mat-checkbox *ngIf="formValidationHelper.getFormControl(form, formDefinition.publicOrder) as fd"
                    [formControl]="fd"
                    solidifyTooltipOnEllipsis
                    color="primary"
      >{{labelTranslateEnum.publicOrder | translate}}
      </mat-checkbox>
    </div>

    <mat-form-field *ngIf="getFormControl(formDefinition.disseminationPolicyIdAndAssociationId) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    [class.ignored-input]="model | isNotNullNorUndefined"
                    solidifyTooltipOnEllipsis
                    class="dissemination"
    >
      <mat-label>{{labelTranslateEnum.disseminationPolicy | translate}}</mat-label>
      <mat-select [formControl]="fd"
                  [required]="formValidationHelper.hasRequiredField(fd)"
      >
        <mat-option *ngFor="let policy of listOptionsDisseminationPolicy"
                    [value]="concatenateIds(policy)"
                    [matTooltip]="policy.placeholderToTranslate | translate"
                    solidifyTooltipOnEllipsis
        >
          {{policy.value | translate}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </form>

  <span class="size">
      <solidify-icon [iconName]="iconNameEnum.foldersView"></solidify-icon>
    {{listArchives?.length}} {{labelTranslateEnum.archives | translate}} ({{totalSize | filesize}})
  </span>

  <div *ngIf="isGeneralAccessControlled"
       class="access-controlled"
  >
    <h3 class="title">
      <solidify-icon [iconName]="iconNameEnum.accessControlled"></solidify-icon>
      {{labelTranslateEnum.accessControlled | translate}}
    </h3>
    <p class="text">{{labelTranslateEnum.onOrMoreDocumentsAreInAccessControlled | translate}}</p>
  </div>

  <div class="button-wrapper">
    <button (click)="onSubmit()"
            *ngIf="mode === 'order-draft'"
            [disabled]="(listArchives | isNullOrUndefinedOrEmptyArray) || form.invalid || isGeneralAccessControlled"
            color="primary"
            mat-flat-button
            solidifyShortCuts
    >
      <solidify-icon [iconName]="iconNameEnum.cart"></solidify-icon>
      {{labelTranslateEnum.submit | translate}}
    </button>
    <button (click)="deleteAll()"
            *ngIf="mode === 'order-draft' && listArchives?.length > 0"
            color="primary"
            mat-button
            solidifyShortCuts
    >
      <solidify-icon [iconName]="iconNameEnum.delete"></solidify-icon>
      {{labelTranslateEnum.deleteAll | translate}}
    </button>
    <button (click)="deleteOrder()"
            *ngIf="deleteAvailable && mode === 'order'"
            [disabled]="(listArchives | isNullOrUndefinedOrEmptyArray)"
            color="primary"
            mat-flat-button
            solidifyShortCuts
    >
      <solidify-icon [iconName]="iconNameEnum.delete"></solidify-icon>
      {{labelTranslateEnum.delete | translate}}
    </button>
    <button (click)="downloadOrder()"
            *ngIf="mode === 'order' && order.status === orderStatusEnum.READY"
            [disabled]="(listArchives | isNullOrUndefinedOrEmptyArray) && isGeneralAccessControlled"
            color="primary"
            mat-button
            solidifyShortCuts
    >
      <solidify-icon [iconName]="iconNameEnum.download"></solidify-icon>
      {{labelTranslateEnum.downloadAll | translate}}
    </button>
  </div>
</div>
